[Fai-commit] r5901 - in trunk: bin debian
Thomas Lange
lange at alioth.debian.org
Thu Jul 29 01:08:27 UTC 2010
Author: lange
Date: 2010-07-29 01:08:25 +0000 (Thu, 29 Jul 2010)
New Revision: 5901
Modified:
trunk/bin/fai
trunk/debian/changelog
Log:
fai: cleanup code
Modified: trunk/bin/fai
===================================================================
--- trunk/bin/fai 2010-07-28 23:55:48 UTC (rev 5900)
+++ trunk/bin/fai 2010-07-29 01:08:25 UTC (rev 5901)
@@ -5,7 +5,7 @@
# fai -- main installation script executed after booting
#
# This script is part of FAI (Fully Automatic Installation)
-# (c) 1999-2009 by Thomas Lange, lange at informatik.uni-koeln.de
+# (c) 1999-2010 by Thomas Lange, lange at informatik.uni-koeln.de
# Universitaet zu Koeln
# (c) 2001-2005 by Henning Glawe, glaweh at physik.fu-berlin.de
# Freie Universitaet Berlin
@@ -112,7 +112,7 @@
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
usage() {
cat <<-EOF
- fai $FAI_VERSION. Copyright (C) 1999-2009 Thomas Lange
+ fai $FAI_VERSION. Copyright (C) 1999-2010 Thomas Lange
Usage: $0 [options] [action]
Options:
@@ -162,51 +162,36 @@
while true ; do
case "$1" in
-h|--help)
- shift
- usage
- ;;
+ usage ;;
-v|--verbose)
- shift
export verbose=1
- ;;
+ shift ;;
-N|--new)
- shift
renewclass=1
- ;;
+ shift ;;
-C|--cfdir)
- shift
- cfdir=$1
- shift
- ;;
+ cfdir=$2
+ shift 2 ;;
-c|--class)
-
if [ $renewclass -eq 1 ]; then
echo "You can't use -c|--classes and -N|--new at the same time."
exit 9
fi
- shift
- export cmdlineclasses=$1
- shift
+ export cmdlineclasses=$2
cmdlineclasses=${cmdlineclasses//,/ }
- ;;
+ shift 2 ;;
-s|--cspace)
- shift
- cspace=$1
- shift
- ;;
+ cspace=$2
+ shift 2 ;;
-u|--hostname)
- shift
- export newhostname=$1
- shift
- ;;
+ export newhostname=$2
+ shift 2 ;;
--)
shift
- break
- ;;
+ break ;;
*)
echo "$0: command line parsing error ! $@"
- exit 1
- ;;
+ exit 1 ;;
esac
done
@@ -294,8 +279,7 @@
ln -snf $action-$fai_rundate $LOGDIR/../last-$action
ln -snf $action-$fai_rundate $LOGDIR/../last
fi
-chown root $LOGDIR
-chgrp adm $LOGDIR
+chown root:adm $LOGDIR
chmod 0750 $LOGDIR
fai_init
Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog 2010-07-28 23:55:48 UTC (rev 5900)
+++ trunk/debian/changelog 2010-07-29 01:08:25 UTC (rev 5901)
@@ -84,6 +84,7 @@
* fai-vol_id: cleanup code
* fai-mirror, fai-mirror.8: add option -m
* disk_config: use UUID's in fstab
+ * fai: cleanup code
[ Michael Tautschnig ]
* control: Move setup-storage to its own package (fai-setup-storage). Thanks
More information about the Fai-commit
mailing list